POST
/customer_service/202309/conversations
Use this API to create a conversation with the specified buyer, on behalf of a shop. When there’s no prior conversation, calling this API creates a new conversation; when there’s a prior conversation, no matter whether it’s active, finished, or closed, calling this API reopens the conversation and returns the same conversation ID as the prior one.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
buyer_user_id
required
Buyer’s user ID
The value is the same as data.orders.user_id in the response data of Get Order Detail.
string
Example
{ "buyer_user_id": "7494560109732338459"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
conversation_id
Converstaion ID. The unique identifier for a conversation between the buyer and a shop.
string
Example
{ "code": 0, "data": { "conversation_id": "7106888323922608389" }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}